Index: cards/CMS_PhaseII/CMS_PhaseII_noPU_HFnose_v0.tcl
===================================================================
--- cards/CMS_PhaseII/CMS_PhaseII_noPU_HFnose_v0.tcl	(revision 0453894500e97b4df471bd1ed58497189f962908)
+++ cards/CMS_PhaseII/CMS_PhaseII_noPU_HFnose_v0.tcl	(revision 94f8f5ff26fa3ea351fd299e7291d0bad5d4c4d4)
@@ -69,4 +69,5 @@
 
   UniqueObjectFinder
+  GenParticleFilter
 
   ScalarHT
@@ -928,5 +929,5 @@
 
   # scale formula for jets
-  set ScaleFormula {sqrt( (2.5 - 0.15*(abs(eta)))^2 / pt + 1.0 )}
+  set ScaleFormula {1.0}
 }
 
@@ -1160,4 +1161,17 @@
 }
 
+###############################################################################################################
+# StatusPidFilter: this module removes all generated particles except electrons, muons, taus, and status == 3 #
+###############################################################################################################
+
+module StatusPidFilter GenParticleFilter {
+
+    set InputArray Delphes/allParticles
+    set OutputArray filteredParticles
+    set PTMin 0.0
+
+}
+
+
 ##################
 # ROOT tree writer
@@ -1170,12 +1184,14 @@
 module TreeWriter TreeWriter {
 # add Branch InputArray BranchName BranchClass
-  add Branch Delphes/allParticles Particle GenParticle
-
-  add Branch TrackMerger/tracks Track Track
-  add Branch Calorimeter/towers Tower Tower
-
-  add Branch HCal/eflowTracks EFlowTrack Track
-  add Branch PhotonEnergySmearing/eflowPhotons EFlowPhoton Tower
-  add Branch HCal/eflowNeutralHadrons EFlowNeutralHadron Tower
+ # add Branch Delphes/allParticles Particle GenParticle
+  add Branch GenParticleFilter/filteredParticles Particle GenParticle
+
+
+#  add Branch TrackMerger/tracks Track Track
+#  add Branch Calorimeter/towers Tower Tower
+
+#  add Branch HCal/eflowTracks EFlowTrack Track
+#  add Branch PhotonEnergySmearing/eflowPhotons EFlowPhoton Tower
+#  add Branch HCal/eflowNeutralHadrons EFlowNeutralHadron Tower
 
   add Branch GenJetFinder/jets GenJet Jet
Index: cards/CMS_PhaseII/CMS_PhaseII_noPU_v0.tcl
===================================================================
--- cards/CMS_PhaseII/CMS_PhaseII_noPU_v0.tcl	(revision 0453894500e97b4df471bd1ed58497189f962908)
+++ cards/CMS_PhaseII/CMS_PhaseII_noPU_v0.tcl	(revision 94f8f5ff26fa3ea351fd299e7291d0bad5d4c4d4)
@@ -69,4 +69,5 @@
 
   UniqueObjectFinder
+  GenParticleFilter
 
   ScalarHT
@@ -691,6 +692,13 @@
                           (abs(eta) > 2.5 && abs(eta) <= 3.0) * (pt > 35.0 && pt <= 50.0) * (0.830) +
                           (abs(eta) > 2.5 && abs(eta) <= 3.0) * (pt > 50.0 && pt <= 14000.0) * (0.919) +
-                          (abs(eta) > 3.0) * (0.00)
-      }
+                          (abs(eta) > 3.0 && abs(eta) <= 4.0) * (pt > 4.0 && pt <= 6.0) * (0.049) +
+                          (abs(eta) > 3.0  && abs(eta) <= 4.0) * (pt > 6.0 && pt <= 8.0) * (0.152) +
+                          (abs(eta) > 3.0  && abs(eta) <= 4.0) * (pt > 8.0 && pt <= 10.0) * (0.436) +
+                          (abs(eta) > 3.0  && abs(eta) <= 4.0) * (pt > 10.0 && pt <= 20.0) * (0.679) +
+                          (abs(eta) > 3.0  && abs(eta) <= 4.0) * (pt > 20.0 && pt <= 35.0) * (0.778) +
+                          (abs(eta) > 3.0  && abs(eta) <= 4.0) * (pt > 35.0 && pt <= 50.0) * (0.830) +
+                          (abs(eta) > 3.0  && abs(eta) <= 4.0) * (pt > 50.0 && pt <= 14000.0) * (0.919)
+                          }
+
 }
 
@@ -921,5 +929,5 @@
 
   # scale formula for jets
-  set ScaleFormula {sqrt( (2.5 - 0.15*(abs(eta)))^2 / pt + 1.0 )}
+  set ScaleFormula {1.0}
 }
 
@@ -1154,4 +1162,17 @@
 }
 
+###############################################################################################################
+# StatusPidFilter: this module removes all generated particles except electrons, muons, taus, and status == 3 #
+###############################################################################################################
+
+module StatusPidFilter GenParticleFilter {
+
+    set InputArray Delphes/allParticles
+    set OutputArray filteredParticles
+    set PTMin 0.0
+
+}
+
+
 ##################
 # ROOT tree writer
@@ -1164,12 +1185,13 @@
 module TreeWriter TreeWriter {
 # add Branch InputArray BranchName BranchClass
-  add Branch Delphes/allParticles Particle GenParticle
-
-  add Branch TrackMerger/tracks Track Track
-  add Branch Calorimeter/towers Tower Tower
-
-  add Branch HCal/eflowTracks EFlowTrack Track
-  add Branch PhotonEnergySmearing/eflowPhotons EFlowPhoton Tower
-  add Branch HCal/eflowNeutralHadrons EFlowNeutralHadron Tower
+#  add Branch Delphes/allParticles Particle GenParticle
+  add Branch GenParticleFilter/filteredParticles Particle GenParticle
+
+#  add Branch TrackMerger/tracks Track Track
+#  add Branch Calorimeter/towers Tower Tower
+
+#  add Branch HCal/eflowTracks EFlowTrack Track
+#  add Branch PhotonEnergySmearing/eflowPhotons EFlowPhoton Tower
+#  add Branch HCal/eflowNeutralHadrons EFlowNeutralHadron Tower
 
   add Branch GenJetFinder/jets GenJet Jet
